﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Windows.DataPresenter;
using System.Windows.Data;
using System.Windows.Media;
using System.Globalization;
using System.Windows;

namespace DataTableMultiValueConverter
{
    public class ForegroundMultiConverter : IMultiValueConverter
    {
        public object Convert(object[] values, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (values[0] != DependencyProperty.UnsetValue && values[1] != DependencyProperty.UnsetValue)
            {
                if ((int)values[1] > (int)values[0])
                    return Brushes.Red;
                if ((int)values[0] > (int)values[1])
                    return Brushes.Green;
                else return Brushes.Black;
            }
            else
                return Brushes.Black;
        }

        public object[] ConvertBack(object value, Type[] targetTypes, object parameter, System.Globalization.CultureInfo culture)
        {
            return new object[] { };
        }
    }
}
